Index: serefpolicy-contrib-20140730/lpd.if
===================================================================
--- serefpolicy-contrib-20140730.orig/lpd.if
+++ serefpolicy-contrib-20140730/lpd.if
@@ -1,44 +1,49 @@
-## <summary>Line printer daemon.</summary>
+## <summary>Line printer daemon</summary>
 
 ########################################
 ## <summary>
-##	Role access for lpd.
+##	Role access for lpd
 ## </summary>
 ## <param name="role">
 ##	<summary>
-##	Role allowed access.
+##	Role allowed access
 ##	</summary>
 ## </param>
 ## <param name="domain">
 ##	<summary>
-##	User domain for the role.
+##	User domain for the role
 ##	</summary>
 ## </param>
+## <rolecap/>
 #
 interface(`lpd_role',`
 	gen_require(`
 		attribute_role lpr_roles;
-		type lpr_t, lpr_exec_t;
+		type lpr_t, lpr_exec_t, print_spool_t;
 	')
 
-	########################################
-	#
-	# Declarations
-	#
+    ########################################
+    # 
+    # Declarations
+    #            
 
 	roleattribute $1 lpr_roles;
 
-	########################################
-	#
-	# Policy
-	#
+    ########################################
+    #
+    # Policy
+    #            
 
+	# Transition from the user domain to the derived domain.
 	domtrans_pattern($2, lpr_exec_t, lpr_t)
+	dontaudit lpr_t $2:unix_stream_socket { read write };
 
-	allow $2 lpr_t:process { ptrace signal_perms };
 	ps_process_pattern($2, lpr_t)
+	allow $2 lpr_t:process signal_perms;
 
-	dontaudit lpr_t $2:unix_stream_socket { read write };
+	tunable_policy(`deny_ptrace',`',`
+		allow $2 lpr_t:process ptrace;
+	')
 
 	optional_policy(`
 		cups_read_config($2)
@@ -60,15 +65,13 @@ interface(`lpd_domtrans_checkpc',`
 		type checkpc_t, checkpc_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, checkpc_exec_t, checkpc_t)
 ')
 
 ########################################
 ## <summary>
-##	Execute amrecover in the lpd
-##	domain, and allow the specified
-##	role the lpd domain.
+##	Execute amrecover in the lpd domain, and
+##	allow the specified role the lpd domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -84,16 +87,16 @@ interface(`lpd_domtrans_checkpc',`
 #
 interface(`lpd_run_checkpc',`
 	gen_require(`
-		attribute_role checkpc_roles;
+		type checkpc_t;
 	')
 
 	lpd_domtrans_checkpc($1)
-	roleattribute $2 checkpc_roles;
+	role $2 types checkpc_t;
 ')
 
 ########################################
 ## <summary>
-##	List printer spool directories.
+##	List the contents of the printer spool directories.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -112,7 +115,7 @@ interface(`lpd_list_spool',`
 
 ########################################
 ## <summary>
-##	Read printer spool files.
+##	Read the printer spool files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -131,8 +134,7 @@ interface(`lpd_read_spool',`
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	printer spool content.
+##	Create, read, write, and delete printer spool files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -149,11 +151,12 @@ interface(`lpd_manage_spool',`
 	manage_dirs_pattern($1, print_spool_t, print_spool_t)
 	manage_files_pattern($1, print_spool_t, print_spool_t)
 	manage_lnk_files_pattern($1, print_spool_t, print_spool_t)
+    manage_fifo_files_pattern($1, print_spool_t, print_spool_t)
 ')
 
 ########################################
 ## <summary>
-##	Relabel spool files.
+##	Relabel from and to the spool files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -172,7 +175,7 @@ interface(`lpd_relabel_spool',`
 
 ########################################
 ## <summary>
-##	Read printer configuration files.
+##	List the contents of the printer spool directories.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -200,12 +203,11 @@ interface(`lpd_read_config',`
 ##	</summary>
 ## </param>
 #
-template(`lpd_domtrans_lpr',`
+interface(`lpd_domtrans_lpr',`
 	gen_require(`
 		type lpr_t, lpr_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	domtrans_pattern($1, lpr_exec_t, lpr_t)
 ')
 
@@ -237,7 +239,8 @@ interface(`lpd_run_lpr',`
 
 ########################################
 ## <summary>
-##	Execute lpr in the caller domain.
+##	Allow the specified domain to execute lpr
+##	in the caller domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -250,6 +253,5 @@ interface(`lpd_exec_lpr',`
 		type lpr_exec_t;
 	')
 
-	corecmd_search_bin($1)
 	can_exec($1, lpr_exec_t)
 ')
Index: serefpolicy-contrib-20140730/lpd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/lpd.te
+++ serefpolicy-contrib-20140730/lpd.te
@@ -48,7 +48,7 @@ userdom_user_tmp_file(lpr_tmp_t)
 type print_spool_t;
 typealias print_spool_t alias { user_print_spool_t staff_print_spool_t sysadm_print_spool_t };
 typealias print_spool_t alias { auditadm_print_spool_t secadm_print_spool_t };
-files_type(print_spool_t)
+files_spool_file(print_spool_t)
 ubac_constrained(print_spool_t)
 
 type printer_t;
@@ -81,7 +81,6 @@ allow checkpc_t printconf_t:dir list_dir
 
 kernel_read_system_state(checkpc_t)
 
-corenet_all_recvfrom_unlabeled(checkpc_t)
 corenet_all_recvfrom_netlabel(checkpc_t)
 corenet_tcp_sendrecv_generic_if(checkpc_t)
 corenet_tcp_sendrecv_generic_node(checkpc_t)
@@ -97,7 +96,6 @@ dev_append_printer(checkpc_t)
 
 domain_use_interactive_fds(checkpc_t)
 
-files_read_etc_files(checkpc_t)
 files_read_etc_runtime_files(checkpc_t)
 files_search_pids(checkpc_t)
 files_search_spool(checkpc_t)
@@ -107,7 +105,7 @@ init_use_fds(checkpc_t)
 
 sysnet_read_config(checkpc_t)
 
-userdom_use_user_terminals(checkpc_t)
+userdom_use_inherited_user_terminals(checkpc_t)
 
 optional_policy(`
 	cron_system_entry(checkpc_t, checkpc_exec_t)
@@ -155,7 +153,6 @@ can_exec(lpd_t, printconf_t)
 kernel_read_kernel_sysctls(lpd_t)
 kernel_read_system_state(lpd_t)
 
-corenet_all_recvfrom_unlabeled(lpd_t)
 corenet_all_recvfrom_netlabel(lpd_t)
 corenet_tcp_sendrecv_generic_if(lpd_t)
 corenet_tcp_sendrecv_generic_node(lpd_t)
@@ -174,14 +171,12 @@ dev_rw_printer(lpd_t)
 domain_use_interactive_fds(lpd_t)
 
 files_read_etc_runtime_files(lpd_t)
-files_read_usr_files(lpd_t)
 files_list_world_readable(lpd_t)
 files_read_world_readable_files(lpd_t)
 files_read_world_readable_symlinks(lpd_t)
 files_list_var_lib(lpd_t)
 files_read_var_lib_files(lpd_t)
 files_read_var_lib_symlinks(lpd_t)
-files_read_etc_files(lpd_t)
 files_search_spool(lpd_t)
 
 fs_getattr_all_fs(lpd_t)
@@ -190,7 +185,6 @@ fs_search_auto_mountpoints(lpd_t)
 logging_send_syslog_msg(lpd_t)
 
 miscfiles_read_fonts(lpd_t)
-miscfiles_read_localization(lpd_t)
 
 sysnet_read_config(lpd_t)
 
@@ -224,7 +218,6 @@ can_exec(lpr_t, lpr_exec_t)
 kernel_read_crypto_sysctls(lpr_t)
 kernel_read_kernel_sysctls(lpr_t)
 
-corenet_all_recvfrom_unlabeled(lpr_t)
 corenet_all_recvfrom_netlabel(lpr_t)
 corenet_tcp_sendrecv_generic_if(lpr_t)
 corenet_tcp_sendrecv_generic_node(lpr_t)
@@ -239,7 +232,6 @@ dev_read_urand(lpr_t)
 domain_use_interactive_fds(lpr_t)
 
 files_search_spool(lpr_t)
-files_read_usr_files(lpr_t)
 files_list_home(lpr_t)
 
 fs_getattr_all_fs(lpr_t)
@@ -249,23 +241,27 @@ term_use_generic_ptys(lpr_t)
 
 auth_use_nsswitch(lpr_t)
 
-logging_send_syslog_msg(lpr_t)
-
 miscfiles_read_fonts(lpr_t)
-miscfiles_read_localization(lpr_t)
 
 userdom_read_user_tmp_symlinks(lpr_t)
-userdom_use_user_terminals(lpr_t)
+# Write to the user domain tty.
+userdom_use_inherited_user_terminals(lpr_t)
 userdom_read_user_home_content_files(lpr_t)
 userdom_read_user_tmp_files(lpr_t)
+userdom_write_user_tmp_sockets(lpr_t)
+userdom_stream_connect(lpr_t)
 
 tunable_policy(`use_lpd_server',`
-	allow lpr_t lpd_t:process signal;
-
-	write_sock_files_pattern(lpr_t, lpd_var_run_t, lpd_var_run_t)
+	# lpr can run in lightweight mode, without a local print spooler.
+	allow lpr_t lpd_var_run_t:dir search_dir_perms;
+	allow lpr_t lpd_var_run_t:sock_file write_sock_file_perms;
 	files_read_var_files(lpr_t)
 
+	# Connect to lpd via a Unix domain socket.
+	allow lpr_t printer_t:sock_file read_sock_file_perms;
 	stream_connect_pattern(lpr_t, printer_t, printer_t, lpd_t)
+	# Send SIGHUP to lpd.
+	allow lpr_t lpd_t:process signal;
 
 	manage_dirs_pattern(lpr_t, lpr_tmp_t, lpr_tmp_t)
 	manage_files_pattern(lpr_t, lpr_tmp_t, lpr_tmp_t)
@@ -279,17 +275,7 @@ tunable_policy(`use_lpd_server',`
 	allow lpr_t printconf_t:lnk_file read_lnk_file_perms;
 ')
 
-tunable_policy(`use_nfs_home_dirs',`
-	fs_list_auto_mountpoints(lpr_t)
-	fs_read_nfs_files(lpr_t)
-	fs_read_nfs_symlinks(lpr_t)
-')
-
-tunable_policy(`use_samba_home_dirs',`
-	fs_list_auto_mountpoints(lpr_t)
-	fs_read_cifs_files(lpr_t)
-	fs_read_cifs_symlinks(lpr_t)
-')
+userdom_home_reader(lpr_t)
 
 optional_policy(`
 	cups_read_config(lpr_t)
@@ -298,5 +284,13 @@ optional_policy(`
 ')
 
 optional_policy(`
-	gnome_stream_connect_all_gkeyringd(lpr_t)
+	gnome_stream_connect_gkeyringd(lpr_t)
+')
+
+optional_policy(`
+	logging_send_syslog_msg(lpr_t)
+')
+
+optional_policy(`
+	mozilla_plugin_dontaudit_rw_tmp_files(lpr_t)
 ')
Index: serefpolicy-contrib-20140730/lsm.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/lsm.fc
+++ serefpolicy-contrib-20140730/lsm.fc
@@ -1,3 +1,7 @@
 /usr/bin/lsmd	--	gen_context(system_u:object_r:lsmd_exec_t,s0)
 
+/usr/bin/.*_lsmplugin    --  gen_context(system_u:object_r:lsmd_plugin_exec_t,s0)
+
+/usr/lib/systemd/system/libstoragemgmt.*		--	gen_context(system_u:object_r:lsmd_unit_file_t,s0)
+
 /var/run/lsm(/.*)?	gen_context(system_u:object_r:lsmd_var_run_t,s0)
Index: serefpolicy-contrib-20140730/lsm.if
===================================================================
--- serefpolicy-contrib-20140730.orig/lsm.if
+++ serefpolicy-contrib-20140730/lsm.if
@@ -1,25 +1,85 @@
-## <summary>Storage array management library.</summary>
+
+## <summary>libStorageMgmt  plug-in  daemon </summary>
 
 ########################################
 ## <summary>
-##	All of the rules required to administrate
-##	an lsmd environment.
+##	Execute TEMPLATE in the lsmd domin.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`lsmd_domtrans',`
+	gen_require(`
+		type lsmd_t, lsmd_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, lsmd_exec_t, lsmd_t)
+')
+########################################
+## <summary>
+##	Read lsmd PID files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
 ##	Domain allowed access.
 ##	</summary>
 ## </param>
-## <param name="role">
+#
+interface(`lsmd_read_pid_files',`
+	gen_require(`
+		type lsmd_var_run_t;
+	')
+
+	files_search_pids($1)
+	read_files_pattern($1, lsmd_var_run_t, lsmd_var_run_t)
+')
+
+########################################
+## <summary>
+##	Execute lsmd server in the lsmd domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`lsmd_systemctl',`
+	gen_require(`
+		type lsmd_t;
+		type lsmd_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+    systemd_read_fifo_file_passwd_run($1)
+	allow $1 lsmd_unit_file_t:file read_file_perms;
+	allow $1 lsmd_unit_file_t:service manage_service_perms;
+
+	ps_process_pattern($1, lsmd_t)
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an lsmd environment
+## </summary>
+## <param name="domain">
 ##	<summary>
-##	Role allowed access.
+##	Domain allowed access.
 ##	</summary>
 ## </param>
 ## <rolecap/>
 #
 interface(`lsmd_admin',`
 	gen_require(`
-		type lsmd_t, lsmd_var_run_t;
+		type lsmd_t;
+		type lsmd_var_run_t;
+		type lsmd_unit_file_t;
 	')
 
 	allow $1 lsmd_t:process { ptrace signal_perms };
@@ -27,4 +87,13 @@ interface(`lsmd_admin',`
 
 	files_search_pids($1)
 	admin_pattern($1, lsmd_var_run_t)
+
+	lsmd_systemctl($1)
+	admin_pattern($1, lsmd_unit_file_t)
+	allow $1 lsmd_unit_file_t:service all_service_perms;
+
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
 ')
Index: serefpolicy-contrib-20140730/lsm.te
===================================================================
--- serefpolicy-contrib-20140730.orig/lsm.te
+++ serefpolicy-contrib-20140730/lsm.te
@@ -4,6 +4,13 @@ policy_module(lsm, 1.0.0)
 #
 # Declarations
 #
+## <desc>
+##	<p>
+##	Determine whether lsmd_plugin can
+##	connect to all TCP ports.
+##	</p>
+## </desc>
+gen_tunable(lsmd_plugin_connect_any, false)
 
 type lsmd_t;
 type lsmd_exec_t;
@@ -12,6 +19,17 @@ init_daemon_domain(lsmd_t, lsmd_exec_t)
 type lsmd_var_run_t;
 files_pid_file(lsmd_var_run_t)
 
+type lsmd_unit_file_t;
+systemd_unit_file(lsmd_unit_file_t)
+
+type lsmd_plugin_t;
+type lsmd_plugin_exec_t;
+application_domain(lsmd_plugin_t, lsmd_plugin_exec_t)
+role system_r types lsmd_plugin_t;
+
+type lsmd_plugin_tmp_t;
+files_tmp_file(lsmd_plugin_tmp_t)
+
 ########################################
 #
 # Local policy
@@ -26,4 +44,47 @@ manage_lnk_files_pattern(lsmd_t, lsmd_va
 manage_sock_files_pattern(lsmd_t, lsmd_var_run_t, lsmd_var_run_t)
 files_pid_filetrans(lsmd_t, lsmd_var_run_t, { dir file sock_file })
 
+corecmd_exec_bin(lsmd_t)
+
 logging_send_syslog_msg(lsmd_t)
+
+########################################
+#
+# Local lsmd plugin policy
+#
+
+allow lsmd_plugin_t self:udp_socket create_socket_perms;
+allow lsmd_plugin_t self:tcp_socket create_stream_socket_perms;
+
+domtrans_pattern(lsmd_t, lsmd_plugin_exec_t, lsmd_plugin_t)
+allow lsmd_plugin_t lsmd_t:unix_stream_socket { read write };
+
+allow lsmd_t lsmd_plugin_exec_t:file read_file_perms;
+stream_connect_pattern(lsmd_plugin_t, lsmd_var_run_t, lsmd_var_run_t, lsmd_t)
+
+manage_files_pattern(lsmd_plugin_t, lsmd_plugin_tmp_t, lsmd_plugin_tmp_t)
+manage_dirs_pattern(lsmd_plugin_t, lsmd_plugin_tmp_t, lsmd_plugin_tmp_t)
+files_tmp_filetrans(lsmd_plugin_t, lsmd_plugin_tmp_t, { file dir })
+
+tunable_policy(`lsmd_plugin_connect_any',`
+	corenet_tcp_connect_all_ports(lsmd_plugin_t)
+	corenet_sendrecv_all_packets(lsmd_plugin_t)
+	corenet_tcp_sendrecv_all_ports(lsmd_plugin_t)
+')
+
+kernel_read_system_state(lsmd_plugin_t)
+
+dev_read_urand(lsmd_plugin_t)
+
+corecmd_exec_bin(lsmd_plugin_t)
+
+corenet_tcp_connect_http_port(lsmd_plugin_t)
+corenet_tcp_connect_http_cache_port(lsmd_plugin_t)
+corenet_tcp_connect_ssh_port(lsmd_plugin_t)
+
+init_stream_connect(lsmd_plugin_t)
+init_dontaudit_rw_stream_socket(lsmd_plugin_t)
+
+logging_send_syslog_msg(lsmd_plugin_t)
+
+sysnet_read_config(lsmd_plugin_t)
Index: serefpolicy-contrib-20140730/mailman.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/mailman.fc
+++ serefpolicy-contrib-20140730/mailman.fc
@@ -2,10 +2,12 @@
 
 /etc/mailman.*	gen_context(system_u:object_r:mailman_data_t,s0)
 
+/usr/lib/mailman/bin/mailmanctl	--	gen_context(system_u:object_r:mailman_mail_exec_t,s0)
 /usr/lib/mailman.*/bin/mailmanctl	--	gen_context(system_u:object_r:mailman_mail_exec_t,s0)
+/usr/lib/mailman/bin/mm-handler.*	--	gen_context(system_u:object_r:mailman_mail_exec_t,s0)
 /usr/lib/mailman.*/bin/mm-handler.*	--	gen_context(system_u:object_r:mailman_mail_exec_t,s0)
 /usr/lib/mailman.*/cron/.*	--	gen_context(system_u:object_r:mailman_queue_exec_t,s0)
-/var/lib/mailman.*	gen_context(system_u:object_r:mailman_data_t,s0)
+/var/lib/mailman(/.*)?	gen_context(system_u:object_r:mailman_data_t,s0)
 /var/lib/mailman.*/archives(/.*)?	gen_context(system_u:object_r:mailman_archive_t,s0)
 
 /var/lock/mailman.*	gen_context(system_u:object_r:mailman_lock_t,s0)
Index: serefpolicy-contrib-20140730/mailman.if
===================================================================
--- serefpolicy-contrib-20140730.orig/mailman.if
+++ serefpolicy-contrib-20140730/mailman.if
@@ -1,44 +1,70 @@
-## <summary>Manage electronic mail discussion and e-newsletter lists.</summary>
+## <summary>Mailman is for managing electronic mail discussion and e-newsletter lists</summary>
 
 #######################################
 ## <summary>
-##	The template to define a mailman domain.
+##	The template to define a mailmain domain.
 ## </summary>
-## <param name="domain_prefix">
+## <desc>
+##	<p>
+##	This template creates a domain to be used for
+##	a new mailman daemon.
+##	</p>
+## </desc>
+## <param name="userdomain_prefix">
 ##	<summary>
-##	Domain prefix to be used.
+##	The type of daemon to be used eg, cgi would give mailman_cgi_
 ##	</summary>
 ## </param>
 #
-template(`mailman_domain_template',`
-	gen_require(`
-		attribute mailman_domain;
-	')
+template(`mailman_domain_template', `
 
-	########################################
-	#
-	# Declarations
-	#
+    ########################################
+    #    
+    # Declarations
+    #            
 
-	type mailman_$1_t;
-	type mailman_$1_exec_t;
+    gen_require(`
+        attribute mailman_domain;
+    ')
+
+	type mailman_$1_t, mailman_domain;
 	domain_type(mailman_$1_t)
+	type mailman_$1_exec_t;
 	domain_entry_file(mailman_$1_t, mailman_$1_exec_t)
 	role system_r types mailman_$1_t;
 
 	type mailman_$1_tmp_t;
 	files_tmp_file(mailman_$1_tmp_t)
 
-	####################################
-	#
-	# Policy
-	#
+    ####################################
+    # 
+    # Policy
+    #            
 
 	manage_dirs_pattern(mailman_$1_t, mailman_$1_tmp_t, mailman_$1_tmp_t)
 	manage_files_pattern(mailman_$1_t, mailman_$1_tmp_t, mailman_$1_tmp_t)
 	files_tmp_filetrans(mailman_$1_t, mailman_$1_tmp_t, { file dir })
 
+	kernel_read_system_state(mailman_$1_t)
+
+	corenet_all_recvfrom_unlabeled(mailman_$1_t)
+	corenet_all_recvfrom_netlabel(mailman_$1_t)
+	corenet_tcp_sendrecv_generic_if(mailman_$1_t)
+	corenet_udp_sendrecv_generic_if(mailman_$1_t)
+	corenet_raw_sendrecv_generic_if(mailman_$1_t)
+	corenet_tcp_sendrecv_generic_node(mailman_$1_t)
+	corenet_udp_sendrecv_generic_node(mailman_$1_t)
+	corenet_raw_sendrecv_generic_node(mailman_$1_t)
+	corenet_tcp_sendrecv_all_ports(mailman_$1_t)
+	corenet_udp_sendrecv_all_ports(mailman_$1_t)
+	corenet_tcp_bind_generic_node(mailman_$1_t)
+	corenet_udp_bind_generic_node(mailman_$1_t)
+	corenet_tcp_connect_smtp_port(mailman_$1_t)
+	corenet_sendrecv_smtp_client_packets(mailman_$1_t)
+
 	auth_use_nsswitch(mailman_$1_t)
+
+	logging_send_syslog_msg(mailman_$1_t)
 ')
 
 #######################################
@@ -56,15 +82,12 @@ interface(`mailman_domtrans',`
 		type mailman_mail_exec_t, mailman_mail_t;
 	')
 
-	libs_search_lib($1)
 	domtrans_pattern($1, mailman_mail_exec_t, mailman_mail_t)
 ')
 
 ########################################
 ## <summary>
-##	Execute the mailman program in the
-##	mailman domain and allow the
-##	specified role the mailman domain.
+##	Execute the mailman program in the mailman domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -73,18 +96,18 @@ interface(`mailman_domtrans',`
 ## </param>
 ## <param name="role">
 ##	<summary>
-##	Role allowed access.
+##	The role to allow the mailman domain.
 ##	</summary>
 ## </param>
 ## <rolecap/>
 #
 interface(`mailman_run',`
 	gen_require(`
-		attribute_role mailman_roles;
+		type mailman_mail_t;
 	')
 
 	mailman_domtrans($1)
-	roleattribute $2 mailman_roles;
+	role $2 types mailman_mail_t;
 ')
 
 #######################################
@@ -103,7 +126,6 @@ interface(`mailman_domtrans_cgi',`
 		type mailman_cgi_exec_t, mailman_cgi_t;
 	')
 
-	libs_search_lib($1)
 	domtrans_pattern($1, mailman_cgi_exec_t, mailman_cgi_t)
 ')
 
@@ -122,13 +144,12 @@ interface(`mailman_exec',`
 		type mailman_mail_exec_t;
 	')
 
-	libs_search_lib($1)
 	can_exec($1, mailman_mail_exec_t)
 ')
 
 #######################################
 ## <summary>
-##	Send generic signals to mailman cgi.
+##	Send generic signals to the mailman cgi domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -146,7 +167,7 @@ interface(`mailman_signal_cgi',`
 
 #######################################
 ## <summary>
-##	Search mailman data directories.
+##	Allow domain to search data directories.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -159,13 +180,12 @@ interface(`mailman_search_data',`
 		type mailman_data_t;
 	')
 
-	files_search_spool($1)
 	allow $1 mailman_data_t:dir search_dir_perms;
 ')
 
 #######################################
 ## <summary>
-##	Read mailman data content.
+##	Allow domain to to read mailman data files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -178,7 +198,6 @@ interface(`mailman_read_data_files',`
 		type mailman_data_t;
 	')
 
-	files_search_spool($1)
 	list_dirs_pattern($1, mailman_data_t, mailman_data_t)
 	read_files_pattern($1, mailman_data_t, mailman_data_t)
 	read_lnk_files_pattern($1, mailman_data_t, mailman_data_t)
@@ -186,8 +205,8 @@ interface(`mailman_read_data_files',`
 
 #######################################
 ## <summary>
-##	Create, read, write, and delete
-##	mailman data files.
+##	Allow domain to to create mailman data files
+##	and write the directory.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -200,14 +219,13 @@ interface(`mailman_manage_data_files',`
 		type mailman_data_t;
 	')
 
-	files_search_spool($1)
 	manage_dirs_pattern($1, mailman_data_t, mailman_data_t)
 	manage_files_pattern($1, mailman_data_t, mailman_data_t)
 ')
 
 #######################################
 ## <summary>
-##	List mailman data directories.
+##	List the contents of mailman data directories.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -220,13 +238,12 @@ interface(`mailman_list_data',`
 		type mailman_data_t;
 	')
 
-	files_search_spool($1)
 	allow $1 mailman_data_t:dir list_dir_perms;
 ')
 
 #######################################
 ## <summary>
-##	Read mailman data symbolic links.
+##	Allow read acces to mailman data symbolic links.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -244,7 +261,7 @@ interface(`mailman_read_data_symlinks',`
 
 #######################################
 ## <summary>
-##	Read mailman log files.
+##	Read mailman logs.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -257,13 +274,12 @@ interface(`mailman_read_log',`
 		type mailman_log_t;
 	')
 
-	logging_search_logs($1)
 	read_files_pattern($1, mailman_log_t, mailman_log_t)
 ')
 
 #######################################
 ## <summary>
-##	Append mailman log files.
+##	Append to mailman logs.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -276,14 +292,13 @@ interface(`mailman_append_log',`
 		type mailman_log_t;
 	')
 
-	logging_search_logs($1)
 	append_files_pattern($1, mailman_log_t, mailman_log_t)
 ')
 
 #######################################
 ## <summary>
 ##	Create, read, write, and delete
-##	mailman log content.
+##	mailman logs.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -296,14 +311,13 @@ interface(`mailman_manage_log',`
 		type mailman_log_t;
 	')
 
-	logging_search_logs($1)
 	manage_files_pattern($1, mailman_log_t, mailman_log_t)
 	manage_lnk_files_pattern($1, mailman_log_t, mailman_log_t)
 ')
 
 #######################################
 ## <summary>
-##	Read mailman archive content.
+##	Allow domain to read mailman archive files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -316,7 +330,6 @@ interface(`mailman_read_archive',`
 		type mailman_archive_t;
 	')
 
-	files_search_var_lib($1)
 	allow $1 mailman_archive_t:dir list_dir_perms;
 	read_files_pattern($1, mailman_archive_t, mailman_archive_t)
 	read_lnk_files_pattern($1, mailman_archive_t, mailman_archive_t)
@@ -324,8 +337,7 @@ interface(`mailman_read_archive',`
 
 #######################################
 ## <summary>
-##	Execute mailman_queue in the
-##	mailman_queue domain.
+##	Execute mailman_queue in the mailman_queue domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -338,6 +350,5 @@ interface(`mailman_domtrans_queue',`
 		type mailman_queue_exec_t, mailman_queue_t;
 	')
 
-	libs_search_lib($1)
 	domtrans_pattern($1, mailman_queue_exec_t, mailman_queue_t)
 ')
Index: serefpolicy-contrib-20140730/mailman.te
===================================================================
--- serefpolicy-contrib-20140730.orig/mailman.te
+++ serefpolicy-contrib-20140730/mailman.te
@@ -4,6 +4,12 @@ policy_module(mailman, 1.10.0)
 #
 # Declarations
 #
+## <desc>
+##	<p>
+##	Allow mailman to access FUSE file systems
+##	</p>
+## </desc>
+gen_tunable(mailman_use_fusefs, false)
 
 attribute mailman_domain;
 
@@ -50,16 +56,11 @@ manage_lnk_files_pattern(mailman_domain,
 manage_files_pattern(mailman_domain, mailman_lock_t, mailman_lock_t)
 files_lock_filetrans(mailman_domain, mailman_lock_t, file)
 
-append_files_pattern(mailman_domain, mailman_log_t, mailman_log_t)
-create_files_pattern(mailman_domain, mailman_log_t, mailman_log_t)
-setattr_files_pattern(mailman_domain, mailman_log_t, mailman_log_t)
+manage_files_pattern(mailman_domain, mailman_log_t, mailman_log_t)
 logging_log_filetrans(mailman_domain, mailman_log_t, file)
 
 kernel_read_kernel_sysctls(mailman_domain)
-kernel_read_system_state(mailman_domain)
 
-corenet_all_recvfrom_unlabeled(mailman_domain)
-corenet_all_recvfrom_netlabel(mailman_domain)
 corenet_tcp_sendrecv_generic_if(mailman_domain)
 corenet_tcp_sendrecv_generic_node(mailman_domain)
 
@@ -82,10 +83,6 @@ fs_getattr_all_fs(mailman_domain)
 libs_exec_ld_so(mailman_domain)
 libs_exec_lib_files(mailman_domain)
 
-logging_send_syslog_msg(mailman_domain)
-
-miscfiles_read_localization(mailman_domain)
-
 ########################################
 #
 # CGI local policy
@@ -115,20 +112,23 @@ optional_policy(`
 # Mail local policy
 #
 
-allow mailman_mail_t self:capability { kill dac_override setuid setgid sys_tty_config };
-allow mailman_mail_t self:process { signal signull };
+allow mailman_mail_t self:capability { kill dac_override setuid setgid sys_nice sys_tty_config };
+allow mailman_mail_t self:process { setsched signal signull };
+allow mailman_mail_t self:unix_dgram_socket create_socket_perms;
 
 manage_files_pattern(mailman_mail_t, mailman_var_run_t, mailman_var_run_t)
 manage_dirs_pattern(mailman_mail_t, mailman_var_run_t, mailman_var_run_t)
 files_pid_filetrans(mailman_mail_t, mailman_var_run_t, { file dir })
 
+can_exec(mailman_mail_t, mailman_mail_exec_t)
+
 corenet_sendrecv_innd_client_packets(mailman_mail_t)
 corenet_tcp_connect_innd_port(mailman_mail_t)
 corenet_tcp_sendrecv_innd_port(mailman_mail_t)
 
 corenet_sendrecv_spamd_client_packets(mailman_mail_t)
-corenet_tcp_connect_spamd_port(mailman_mail_t)
 corenet_tcp_sendrecv_spamd_port(mailman_mail_t)
+corenet_tcp_connect_spamd_port(mailman_mail_t)
 
 dev_read_urand(mailman_mail_t)
 
@@ -142,6 +142,10 @@ optional_policy(`
 ')
 
 optional_policy(`
+	gnome_dontaudit_search_config(mailman_mail_t)
+')
+
+optional_policy(`
 	cron_read_pipes(mailman_mail_t)
 ')
 
@@ -182,3 +186,9 @@ optional_policy(`
 optional_policy(`
 	su_exec(mailman_queue_t)
 ')
+
+tunable_policy(`mailman_use_fusefs',`
+	fs_manage_fusefs_dirs(mailman_domain)
+	fs_manage_fusefs_files(mailman_domain)
+	fs_manage_fusefs_symlinks(mailman_domain)
+')
Index: serefpolicy-contrib-20140730/mailscanner.if
===================================================================
--- serefpolicy-contrib-20140730.orig/mailscanner.if
+++ serefpolicy-contrib-20140730/mailscanner.if
@@ -2,29 +2,27 @@
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	mscan spool content.
+##	Execute a domain transition to run
+## 	MailScanner.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
-##	Domain allowed access.
+##	Domain allowed to transition.
 ##	</summary>
 ## </param>
 #
-interface(`mscan_manage_spool_content',`
+interface(`mailscanner_initrc_domtrans',`
 	gen_require(`
-		type mscan_spool_t;
+		type mscan_initrc_exec_t;
 	')
 
-	files_search_spool($1)
-	manage_dirs_pattern($1, mscan_spool_t, mscan_spool_t)
-	manage_files_pattern($1, mscan_spool_t, mscan_spool_t)
+	init_labeled_script_domtrans($1, mscan_initrc_exec_t)
 ')
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an mscan environment
+##	All of the rules required to administrate
+##	an mailscanner environment.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -38,26 +36,26 @@ interface(`mscan_manage_spool_content',`
 ## </param>
 ## <rolecap/>
 #
-interface(`mscan_admin',`
+interface(`mailscanner_admin',`
 	gen_require(`
-		type mscan_t, mscan_etc_t, mscan_initrc_exec_t;
-		type mscan_var_run_t, mscan_spool_t;
+		type mscan_t, mscan_var_run_t, mscan_etc_t;
+		type mscan_initrc_exec_t;
 	')
 
-	allow $1 mscan_t:process { ptrace signal_perms };
-	ps_process_pattern($1, mscan_t)
-
-	init_labeled_script_domtrans($1, mscan_initrc_exec_t)
+	mailscanner_initrc_domtrans($1)
 	domain_system_change_exemption($1)
 	role_transition $2 mscan_initrc_exec_t system_r;
 	allow $2 system_r;
 
-	files_search_etc($1)
+	allow $1 mscan_t:process signal_perms;
+	ps_process_pattern($1, mscan_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 mscan_t:process ptrace;
+	')
+
 	admin_pattern($1, mscan_etc_t)
+	files_list_etc($1)
 
-	files_search_pids($1)
 	admin_pattern($1, mscan_var_run_t)
-
-	files_search_spool($1)
-	admin_pattern($1, mscan_spool_t)
+	files_list_pids($1)
 ')
Index: serefpolicy-contrib-20140730/mailscanner.te
===================================================================
--- serefpolicy-contrib-20140730.orig/mailscanner.te
+++ serefpolicy-contrib-20140730/mailscanner.te
@@ -34,6 +34,7 @@ allow mscan_t self:process signal;
 allow mscan_t self:fifo_file rw_fifo_file_perms;
 
 read_files_pattern(mscan_t, mscan_etc_t, mscan_etc_t)
+list_dirs_pattern(mscan_t, mscan_etc_t, mscan_etc_t)
 
 manage_files_pattern(mscan_t, mscan_var_run_t, mscan_var_run_t)
 files_pid_filetrans(mscan_t, mscan_var_run_t, file)
@@ -72,7 +73,6 @@ corenet_udp_sendrecv_all_ports(mscan_t)
 
 dev_read_urand(mscan_t)
 
-files_read_usr_files(mscan_t)
 
 fs_getattr_xattr_fs(mscan_t)
 
@@ -81,10 +81,9 @@ auth_use_nsswitch(mscan_t)
 
 logging_send_syslog_msg(mscan_t)
 
-miscfiles_read_localization(mscan_t)
-
 optional_policy(`
-	clamav_domtrans_clamscan(mscan_t)
+	antivirus_domtrans(mscan_t)
+	antivirus_manage_pid(mscan_t)
 ')
 
 optional_policy(`
@@ -97,5 +96,6 @@ optional_policy(`
 ')
 
 optional_policy(`
+	spamassassin_read_home_client(mscan_t)
 	spamassassin_read_lib_files(mscan_t)
 ')
Index: serefpolicy-contrib-20140730/man2html.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/man2html.fc
+++ serefpolicy-contrib-20140730/man2html.fc
@@ -1,5 +1,5 @@
-/usr/lib/man2html/cgi-bin/man/man2html	--	gen_context(system_u:object_r:httpd_man2html_script_exec_t,s0)
-/usr/lib/man2html/cgi-bin/man/mansec	--	gen_context(system_u:object_r:httpd_man2html_script_exec_t,s0)
-/usr/lib/man2html/cgi-bin/man/manwhatis	--	gen_context(system_u:object_r:httpd_man2html_script_exec_t,s0)
+/usr/lib/man2html/cgi-bin/man/man2html	--	gen_context(system_u:object_r:man2html_script_exec_t,s0)
+/usr/lib/man2html/cgi-bin/man/mansec	--	gen_context(system_u:object_r:man2html_script_exec_t,s0)
+/usr/lib/man2html/cgi-bin/man/manwhatis	--	gen_context(system_u:object_r:man2html_script_exec_t,s0)
 
-/var/cache/man2html(/.*)?	gen_context(system_u:object_r:httpd_man2html_script_cache_t,s0)
+/var/cache/man2html(/.*)?	gen_context(system_u:object_r:man2html_rw_content_t,s0)
